%define pypi_name Mopidy-radio-de

Name:           mopidy-radio-de
Version:        0.2.0
Release:        %mkrel 12
Group:          Sound/Players
Summary:        radio.de extension for Mopidy
License:        MIT
URL:            https://github.com/hechtus/mopidy-radio-de/
Source0:        https://pypi.python.org/packages/source/M/Mopidy-radio-de/Mopidy-radio-de-%{version}.tar.gz
Patch0:         mopidy-radio-de-upstream-fix-proxy-none.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Mopidy extension to listen to internet radio stations and podcasts listed
at radio.de, rad.io, radio.fr, and radio.at.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch -P 0 -p1

# Remove bundled egg-info
rm -rf *.egg-info

# 'port' to py3
2to3 -w --no-diffs mopidy_radio_de/

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%doc README.rst
%{python3_sitelib}/mopidy_radio_de/
%{python3_sitelib}/Mopidy_radio_de-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.2.0-12.mga10
+ Revision: 2127853
- Rebuild for patchN deprecation

* Sat Feb 24 2024 daviddavid <daviddavid> 0.2.0-11.mga10
+ Revision: 2044015
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.2.0-10.mga9
+ Revision: 1824079
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 0.2.0-9.mga9
+ Revision: 1789923
- fix files list

* Sat Jun 26 2021 tmb <tmb> 0.2.0-8.mga9
+ Revision: 1733566
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 0.2.0-7.mga9
+ Revision: 1732676
- Rebuild for python 3.9

* Sat May 09 2020 wally <wally> 0.2.0-6.mga8
+ Revision: 1582319
- rebuild to hopefully get rid of old versions in repo

* Tue Mar 31 2020 wally <wally> 0.2.0-5.mga8
+ Revision: 1562732
- run code through 2to3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-3.mga7
+ Revision: 1264491
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 950844
- Mageia 6 Mass Rebuild

* Sun Nov 23 2014 philippem <philippem> 0.2.0-1.mga5
+ Revision: 798590
- imported package mopidy-radio-de

